Skip to main content
GET /api/v1/cloud/sessions/{session_id}/resources/{resource_id} Returns one Session resource by ID.

Path parameters

ParameterTypeDescription
session_idstringSession ID with the sess_ prefix
resource_idstringResource ID with the sesr_ prefix

Headers

HeaderRequiredDescription
AuthorizationYesBearer $QODER_PAT

Example request

curl https://api.qoder.com/api/v1/cloud/sessions/sess_019e392c0d1e74e095d21ea4c6b41def/resources/sesr_0e4323e8f47ba34853f5409e \
  -H "Authorization: Bearer $QODER_PAT"

Example response

HTTP 200 OK
{
  "id": "sesr_0e4323e8f47ba34853f5409e",
  "type": "file",
  "file_id": "file_019ef2a07a06704fb899908c29eed779",
  "mount_path": "/mnt/session/uploads/file_019ef2a07a06704fb899908c29eed779",
  "created_at": "2026-06-23T05:53:19.77484Z",
  "updated_at": "2026-06-23T05:53:44.995459Z"
}
See Session resource for all resource shapes.

Errors

HTTPTypeTrigger
401authentication_errorPAT invalid or expired
404not_found_errorSession or resource does not exist
HTTP 404 Not Found
{
  "type": "error",
  "error": {
    "type": "not_found_error",
    "message": "Session resource 'sesr_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
HTTP 404 Not Found
{
  "type": "error",
  "error": {
    "type": "not_found_error",
    "message": "Session 'sess_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
See Errors for the full error envelope.